gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: provide start script with euFi


From: gnunet
Subject: [taler-deployment] branch master updated: provide start script with euFin
Date: Sat, 18 Sep 2021 12:20:28 +0200

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 488b220  provide start script with euFin
488b220 is described below

commit 488b220419f4919bd9c8bceebeaf1fe005c7dafc
Author: ms <ms@taler.net>
AuthorDate: Sat Sep 18 12:20:24 2021 +0200

    provide start script with euFin
---
 bin/taler-deployment-start-with-eufin | 44 +++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/bin/taler-deployment-start-with-eufin 
b/bin/taler-deployment-start-with-eufin
new file mode 100755
index 0000000..6c37454
--- /dev/null
+++ b/bin/taler-deployment-start-with-eufin
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+set -eu
+
+export PATH="$HOME/deployment":$PATH
+
+# might fail if invoked from another script with ulimit
+ulimit -c $((100 * 1024)) &>/dev/null || true
+
+cd $HOME
+
+taler_config_file=$HOME/.config/taler.conf
+
+if [[ ! -e "$taler_config_file" ]]; then
+  echo "taler config file ($taler_config_file) missing"
+  exit 1
+fi
+
+taler-deployment-arm -s
+
+taler-deployment-arm -i taler-exchange
+taler-deployment-arm -i taler-exchange-secmod-eddsa
+taler-deployment-arm -i taler-exchange-secmod-rsa
+taler-deployment-arm -i taler-auditor
+taler-deployment-arm -i taler-merchant
+taler-deployment-arm -i taler-sandbox
+taler-deployment-arm -i taler-nexus
+taler-deployment-arm -i taler-donations
+taler-deployment-arm -i taler-blog
+taler-deployment-arm -i taler-landing
+taler-deployment-arm -i taler-survey
+taler-deployment-arm -i taler-aggregator
+taler-deployment-arm -i taler-exchange-wirewatch
+taler-deployment-arm -i taler-sync
+taler-deployment-arm -i taler-transfer
+taler-deployment-arm -i anastasis
+
+if $(taler-config -s twister -o taler_deploy >& /dev/null); then
+  taler-deployment-arm -i taler-twister
+  taler-deployment-arm -i taler-twister-exchange
+  taler-deployment-arm -i taler-twister-bank
+fi
+
+exit 0

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]